Catch-ups
Update a catch-up setting
Updates a catch-up setting’s active flag, name or description and returns the setting. Send only the fields you want to change inside catch_up_setting. Available to company admins and reps with permission to update catch-ups.
PATCH
/
api
/
catch_up_settings
/
{id}
Update a catch-up setting
curl --request PATCH \
--url https://api.fluid.app/api/catch_up_settings/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catch_up_setting": {
"active": false
}
}
'import requests
url = "https://api.fluid.app/api/catch_up_settings/{id}"
payload = { "catch_up_setting": { "active": False } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({catch_up_setting: {active: false}})
};
fetch('https://api.fluid.app/api/catch_up_settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/catch_up_settings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'catch_up_setting' => [
'active' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/catch_up_settings/{id}"
payload := strings.NewReader("{\n \"catch_up_setting\": {\n \"active\": false\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/catch_up_settings/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"catch_up_setting\": {\n \"active\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/catch_up_settings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"catch_up_setting\": {\n \"active\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"catch_up_setting": {
"id": 3342,
"company_id": 1405,
"name": "cart_abandoned",
"description": "Notify when a contact abandons their cart with items left inside.",
"active": false,
"uuid_v7": "01926d4e-8b3a-7c1f-9e42-5a7d3c8b1f06",
"created_at": "2026-09-02T18:30:12.471Z",
"updated_at": "2026-09-22T14:05:31.208Z"
},
"meta": {
"request_id": "7f3c2a91-5d4e-4b8a-9c61-2e8f0d3b5a47",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}⌘I
Update a catch-up setting
curl --request PATCH \
--url https://api.fluid.app/api/catch_up_settings/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catch_up_setting": {
"active": false
}
}
'import requests
url = "https://api.fluid.app/api/catch_up_settings/{id}"
payload = { "catch_up_setting": { "active": False } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({catch_up_setting: {active: false}})
};
fetch('https://api.fluid.app/api/catch_up_settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/catch_up_settings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'catch_up_setting' => [
'active' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/catch_up_settings/{id}"
payload := strings.NewReader("{\n \"catch_up_setting\": {\n \"active\": false\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/catch_up_settings/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"catch_up_setting\": {\n \"active\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/catch_up_settings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"catch_up_setting\": {\n \"active\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"catch_up_setting": {
"id": 3342,
"company_id": 1405,
"name": "cart_abandoned",
"description": "Notify when a contact abandons their cart with items left inside.",
"active": false,
"uuid_v7": "01926d4e-8b3a-7c1f-9e42-5a7d3c8b1f06",
"created_at": "2026-09-02T18:30:12.471Z",
"updated_at": "2026-09-22T14:05:31.208Z"
},
"meta": {
"request_id": "7f3c2a91-5d4e-4b8a-9c61-2e8f0d3b5a47",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}